Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class EjbRelationshipRoleTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.EjbRelationshipRoleTypeImplTestCase

    public class EjbRelationshipRoleTypeImplTestCase

extends java.lang.Object

Constructor Summary
`EjbRelationshipRoleTypeImplTestCase()`

Method Summary
`void` | `testCascadeDelete()`
`void` | `testCmrField()`
`void` | `testDescription()`
`void` | `testEjbRelationshipRoleName()`
`void` | `testMultiplicity()`
`void` | `testRelationshipRoleSource()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbRelationshipRoleTypeImplTestCase

    public EjbRelationshipRoleTypeImplTestCase()

Method Detail

### testDescription

    public void testDescription()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEjbRelationshipRoleName

    public void testEjbRelationshipRoleName()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMultiplicity

    public void testMultiplicity()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCascadeDelete

    public void testCascadeDelete()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRelationshipRoleSource

    public void testRelationshipRoleSource()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCmrField

    public void testCmrField()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD